29.83

v 14.0 Third Party 340
Live Preview
Required Apps Inventory (stock)
Point of Sale (point_of_sale)
Sales (sale_management)
Invoicing (account)
Lines of code 723
Technical Name bi_pos_stock
LicenseOPL-1
Websitehttps://www.browseinfo.in
Also available in version v 9.0 v 10.0 v 11.0 v 8.0 v 15.0 v 13.0 v 12.0
You bought this module and need support? Click here!
Required Apps Inventory (stock)
Point of Sale (point_of_sale)
Sales (sale_management)
Invoicing (account)
Lines of code 723
Technical Name bi_pos_stock
LicenseOPL-1
Websitehttps://www.browseinfo.in
Also available in version v 9.0 v 10.0 v 11.0 v 8.0 v 15.0 v 13.0 v 12.0

POS-Point of Sales Product Stock Odoo Apps

This Odoo apps is used to display stock in POS interface also the seller can select and display different type of stock like "Qty on hand", "Incoming Qty", "Outgoing Qty", "Qty Available" in POS and Allow/Deny POS sale Order when product is out of stock. You can display stock of All & Specific stock location in POS. Also Stock will be automatically sync when order get placed in Odoo POS inventory management App.

Features

Stock for POS Screen.

Seller can select and display different stock type like "Qty on hand", "Incoming Qty", "Outgoing Qty", "Qty Available" in POS.

Shows error in as per the Stock Availability.

Display of Different type of Error messages in POS interface based on stock availability.

Gives allowance as well as denial.

Seller can set the Unit, Deny order when quantity goes down to set unit. Allow/Deny POS sale Order when product is out of stock.

Display stock as per the user demand.

Show stock of all stock location and show stock of only specific stock location on POS session.

Stock of all the location in POS.

Show stock of all stock location and show stock of only specific stock location on POS session.

Sync the stock.

Stock will be automatically sync when order get placed in POS.

POS Stock Configuration

Under Point of Sale > Configuration > Point of sale menu user need to enable "Display Stock in POS" option to see stock for product on point of sale screen.

User can also select "Stock Type" option as "Qty on Hand, Incoming Qty, Outgoing Qty, Qty Available" and as selected product stock will displayed on pos screen..

User can also select "Show Stock of" option as "All Warehouse" or "Current Session Warehouse", if all warehouse option selected then stock from all warehouse will displayed, if current session warehouse option selected then user need to select "Stock Location" and stock from selected location only displayed.

Qty On Hand

User see total on hand quantity of product.

User see total on hand quantity of product from all warehouse is displayed on point of sale screen, if product is out of stock it will be red.

Incoming Qty

User need to select "Incoming Qty" option.

User see incoming quantity of all product from all warehouse is displayed on point of sale screen.

Outgoing Qty

User need to select "Outgoing Qty" option.

User see outgoing quantity of all product from all warehouse is displayed on point of sale screen.

Qty Available

User need to select "Qty Available" option.

User see available quantity of all product from all warehouse is displayed on point of sale screen.

Show Stock of : Current Session Warehouse

User can display stock on point of sale from selected stock location for that user need to select "Current Session Warehouse" option and set "Stock Location" as seen below image.

Product Stock By Location

User can see product stock by their stock location.

User can see product stock from selected stocl location on point of sale.

Auto Update Product Quantity

Now user no need to reload the POS screen every time after placing an order, Stock will be automatically updated on POS product screen.

Deny POS Order

User can deny pos order when product quantity goes down to the entered quantity, for that user need to enter product quantity in number.

User can see pos product with negative quantity in pos screen.

User can see warning as below image.

Stock Quantity Validation

If user add pos product quantity more than available quantity in order line for a particular product then stock qty validation will be added even user selected "All Warehouse" or "Current Session Warehouse" option as configuration.

User can see warning as below image.

Stock quantity validation will not be applied for "Consumable" or "Service" type product. Although user can add more qty in the order line, it will go to the payment screen without validation.

Apps May You Like

Most Demanded Apps

Free Support

You will get 90 Days free support incase any bugs or issue (Except data recovery).

At BrowseInfo we offer end to end solution for Odoo services. Which includes analysis & consultation on the workflows and integration part. Please note that You're not allowed to distribute this module after purchase! Incase of any question regarding this module feel free to email us on ticket@browseinfo.in or raise a ticket on support.

Odoo Proprietary License v1.0
This software and associated files (the "Software") may only be used (executed,
modified, executed after modifications) if you have purchased a valid license
from the authors, typically via Odoo Apps, or if you have received a written
agreement from the authors of the Software (see the COPYRIGHT file).
You may develop Odoo modules that use the Software as a library (typically
by depending on it, importing it and using its resources), but without copying
any source code or material from the Software. You may distribute those
modules under the license of your choice, provided that this license is
compatible with the terms of the Odoo Proprietary License (For example:
LGPL, MIT, or proprietary licenses similar to this one).
It is forbidden to publish, distribute, sublicense, or sell copies of the Software
or modified copies of the Software.
The above copyright notice and this permission notice must be included in all
copies or substantial portions of the Software.
THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
DEALINGS IN THE SOFTWARE.

Please log in to comment on this module

  • The author can leave a single reply to each comment.
  • This section is meant to ask simple questions or leave a rating. Every report of a problem experienced while using the module should be addressed to the author directly (refer to the following point).
  • If you want to start a discussion with the author or have a question related to your purchase, please use the support page.
our pos is down and you don't want to help
by
Abdelwahab Ayoub
on 8/16/21, 6:23 AM

we reported an issue and you didn't help till now, our pos is down we want immediate help.

Re: our pos is down and you don't want to help
by
BrowseInfo
on 8/17/21, 1:20 AM Author

Hello Sir,

Thank you for purchasing Browseinfo app. Please provide your email or contact us via sales@browseinfo.in so our Team can communicate with you and resolve the issue asap.

Have nice day 

Regards


Help!!!
by
Samuel Martin Martin Quispe Valdivia
on 2/24/21, 3:18 PM

Instalado correctamente, muestra stock, pero al momento de hacer pago de la compra me arroja el siguiente erros: (voy dos dias sin respuesta y esperando)

Odoo Server Error
Traceback (most recent call last):
  File "/opt/odoo/odoo/odoo/addons/base/models/ir_http.py", line 237, in _dispatch
    result = request.dispatch()
  File "/opt/odoo/odoo/odoo/http.py", line 682, in dispatch
    result = self._call_function(**self.params)
  File "/opt/odoo/odoo/odoo/http.py", line 358, in _call_function
    return checked_call(self.db, *args, **kwargs)
  File "/opt/odoo/odoo/odoo/service/model.py", line 94, in wrapper
    return f(dbname, *args, **kwargs)
  File "/opt/odoo/odoo/odoo/http.py", line 346, in checked_call
    result = self.endpoint(*a, **kw)
  File "/opt/odoo/odoo/odoo/http.py", line 911, in __call__
    return self.method(*args, **kw)
  File "/opt/odoo/odoo/odoo/http.py", line 530, in response_wrap
    response = f(*args, **kw)
  File "/opt/odoo/odoo/addons/web/controllers/main.py", line 1359, in call_kw
    return self._call_kw(model, method, args, kwargs)
  File "/opt/odoo/odoo/addons/web/controllers/main.py", line 1351, in _call_kw
    return call_kw(request.env[model], method, args, kwargs)
  File "/opt/odoo/odoo/odoo/api.py", line 392, in call_kw
    result = _call_kw_model(method, model, args, kwargs)
  File "/opt/odoo/odoo/odoo/api.py", line 365, in _call_kw_model
    result = method(recs, *args, **kwargs)
  File "/opt/odoo/odoo/addons/point_of_sale/models/pos_order.py", line 469, in create_from_ui
    order_ids.append(self._process_order(order, draft, existing_order))
  File "/opt/odoo/odoo/addons/point_of_sale/models/pos_order.py", line 142, in _process_order
    pos_order._create_order_picking()
  File "/opt/odoo/odoo/addons/point_of_sale/models/pos_order.py", line 484, in _create_order_picking
    pickings = self.env['stock.picking']._create_picking_from_pos_order_lines(destination_id, self.lines, picking_type, self.partner_id)
  File "/opt/odoo/odoo/addons/bi_pos_stock/models/bi_pos_stock.py", line 169, in _create_picking_from_pos_order_lines
    except (UserError, ValidationError):
Exception

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/opt/odoo/odoo/odoo/http.py", line 638, in _handle_exception
    return super(JsonRequest, self)._handle_exception(exception)
  File "/opt/odoo/odoo/odoo/http.py", line 314, in _handle_exception
    raise exception.with_traceback(None) from new_cause
NameError: name 'UserError' is not defined

Re: Help!!!
by
BrowseInfo
on 2/26/21, 8:41 AM Author

Hello Sir,

Thank you for purchasing Browseinfo app. Please provide your email or contact us via sales@browseinfo.in so our Team can communicate with you and provide you demo easily.

Have nice day 

Regards


Very good
by
Ivan Manolo Carvajal Antiñapa
on 12/8/20, 9:28 PM

Excelent service

Re: Very good
by
BrowseInfo
on 12/8/20, 11:56 PM Author

Thank you for your feedback.


Please help me with a Demo
by
Nestor
on 9/27/21, 8:06 PM

Hello, please support me with a demo of this addon.

Best regards

Re: Please help me with a Demo
by
BrowseInfo
on 9/28/21, 2:33 AM Author

Hello Sir,

Please contact us at sales@browseinfo.in our team will provide you demo.

Regards


please help!!!!
by
Abdelwahab Ayoub
on 8/16/21, 6:34 AM Confirmed Purchase
Odoo Server Error
Traceback (most recent call last):  File "/home/odoo/src/odoo/odoo/addons/base/models/ir_http.py", line 237, in _dispatch    result = request.dispatch()  File "/home/odoo/src/odoo/odoo/http.py", line 684, in dispatch    result = self._call_function(**self.params)  File "/home/odoo/src/odoo/odoo/http.py", line 360, in _call_function    return checked_call(self.db, *args, **kwargs)  File "/home/odoo/src/odoo/odoo/service/model.py", line 94, in wrapper    return f(dbname, *args, **kwargs)  File "/home/odoo/src/odoo/odoo/http.py", line 348, in checked_call    result = self.endpoint(*a, **kw)  File "/home/odoo/src/odoo/odoo/http.py", line 913, in __call__    return self.method(*args, **kw)  File "/home/odoo/src/odoo/odoo/http.py", line 532, in response_wrap    response = f(*args, **kw)  File "/home/odoo/src/odoo/addons/web/controllers/main.py", line 1393, in call_button    action = self._call_kw(model, method, args, kwargs)  File "/home/odoo/src/odoo/addons/web/controllers/main.py", line 1381, in _call_kw    return call_kw(request.env[model], method, args, kwargs)  File "/home/odoo/src/odoo/odoo/api.py", line 396, in call_kw    result = _call_kw_multi(method, model, args, kwargs)  File "/home/odoo/src/odoo/odoo/api.py", line 383, in _call_kw_multi    result = method(recs, *args, **kwargs)  File "/home/odoo/src/odoo/addons/point_of_sale/models/pos_session.py", line 279, in action_pos_session_closing_control    session.action_pos_session_close()  File "/home/odoo/src/odoo/addons/point_of_sale/models/pos_session.py", line 309, in action_pos_session_close    return self._validate_session()  File "/home/odoo/src/odoo/addons/point_of_sale/models/pos_session.py", line 322, in _validate_session    self._create_picking_at_end_of_session()  File "/home/odoo/src/odoo/addons/point_of_sale/models/pos_session.py", line 371, in _create_picking_at_end_of_session    pickings = self.env['stock.picking']._create_picking_from_pos_order_lines(location_dest_id, lines, picking_type)  File "/home/odoo/src/user/bi_pos_stock/models/bi_pos_stock.py", line 187, in _create_picking_from_pos_order_lines    except (UserError, ValidationError):ExceptionThe above exception was the direct cause of the following exception:Traceback (most recent call last):  File "/home/odoo/src/odoo/odoo/http.py", line 640, in _handle_exception    return super(JsonRequest, self)._handle_exception(exception)  File "/home/odoo/src/odoo/odoo/http.py", line 316, in _handle_exception    raise exception.with_traceback(None) from new_cause

NameError: name 'UserError' is not defined

Error!!!
by
Samuel Martin Martin Quispe Valdivia
on 2/23/21, 3:40 PM Confirmed Purchase

Buenas tardes, instale todo correcto sin ningun problema, carga correcto el POS, muestra el stock, pero hay un detalle, al realizar la venta lo realiza normal, el problema es al momento del pago, me arroja el siguiente error (servidor ubuntu linux 20.04 con odoo 14 Community)

Odoo Server Error
Traceback (most recent call last):
  File "/opt/odoo/odoo/odoo/addons/base/models/ir_http.py", line 237, in _dispatch
    result = request.dispatch()
  File "/opt/odoo/odoo/odoo/http.py", line 682, in dispatch
    result = self._call_function(**self.params)
  File "/opt/odoo/odoo/odoo/http.py", line 358, in _call_function
    return checked_call(self.db, *args, **kwargs)
  File "/opt/odoo/odoo/odoo/service/model.py", line 94, in wrapper
    return f(dbname, *args, **kwargs)
  File "/opt/odoo/odoo/odoo/http.py", line 346, in checked_call
    result = self.endpoint(*a, **kw)
  File "/opt/odoo/odoo/odoo/http.py", line 911, in __call__
    return self.method(*args, **kw)
  File "/opt/odoo/odoo/odoo/http.py", line 530, in response_wrap
    response = f(*args, **kw)
  File "/opt/odoo/odoo/addons/web/controllers/main.py", line 1359, in call_kw
    return self._call_kw(model, method, args, kwargs)
  File "/opt/odoo/odoo/addons/web/controllers/main.py", line 1351, in _call_kw
    return call_kw(request.env[model], method, args, kwargs)
  File "/opt/odoo/odoo/odoo/api.py", line 392, in call_kw
    result = _call_kw_model(method, model, args, kwargs)
  File "/opt/odoo/odoo/odoo/api.py", line 365, in _call_kw_model
    result = method(recs, *args, **kwargs)
  File "/opt/odoo/odoo/addons/point_of_sale/models/pos_order.py", line 469, in create_from_ui
    order_ids.append(self._process_order(order, draft, existing_order))
  File "/opt/odoo/odoo/addons/point_of_sale/models/pos_order.py", line 142, in _process_order
    pos_order._create_order_picking()
  File "/opt/odoo/odoo/addons/point_of_sale/models/pos_order.py", line 484, in _create_order_picking
    pickings = self.env['stock.picking']._create_picking_from_pos_order_lines(destination_id, self.lines, picking_type, self.partner_id)
  File "/opt/odoo/odoo/addons/bi_pos_stock/models/bi_pos_stock.py", line 169, in _create_picking_from_pos_order_lines
    except (UserError, ValidationError):
Exception

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/opt/odoo/odoo/odoo/http.py", line 638, in _handle_exception
    return super(JsonRequest, self)._handle_exception(exception)
  File "/opt/odoo/odoo/odoo/http.py", line 314, in _handle_exception
    raise exception.with_traceback(None) from new_cause
NameError: name 'UserError' is not defined


Help me !!!

email: proyectesis2004@gmail.com


Why? System don't load available child
by
Somchart Jabsung
on 1/13/21, 10:31 AM

Hello

       i have issue. Why? systems don't load available location from location child